#ifndef CONTIG_OPTIMIZER_HH_
#define CONTIG_OPTIMIZER_HH_ 1

#include "Contig.hh"

class ContigOptimizer 
{
public:
  ContigOptimizer(bool verbose);
  ~ContigOptimizer();

  void optimize(Contig * contig);

private:

  void tilt(Contig * contig, long gindex, bool doTiltLeft);
  void tiltLeft(Contig * contig);
  void tiltRight(Contig * contig);

  long m_gindex;
  int m_verbose;
};


#endif
