#include <xercesc/util/XMLUniDefs.hpp>

// This technique was taken from the Xerces sources. 
// It's horrible, but it avoids runtime creation of these strings.

namespace SliceXMLString
{

static const XMLCh sRequest[] =
{
  chLatin_R, 
  chLatin_e, 
  chLatin_q, 
  chLatin_u, 
  chLatin_e,
  chLatin_s, 
  chLatin_t, 
  chNull
};

static const XMLCh sType[] =
{
  chLatin_T, 
  chLatin_y, 
  chLatin_p, 
  chLatin_e, 
  chNull
};

static const XMLCh sHost[] =
{
  chLatin_H, 
  chLatin_o,
  chLatin_s, 
  chLatin_t, 
  chNull
};

static const XMLCh sUser[] =
{
  chLatin_U, 
  chLatin_s, 
  chLatin_e, 
  chLatin_r, 
  chNull
};

static const XMLCh sOption[] =
{
  chLatin_O, 
  chLatin_p, 
  chLatin_t, 
  chLatin_i, 
  chLatin_o,
  chLatin_n, 
  chNull
};

static const XMLCh sId[] =
{
  chLatin_I, 
  chLatin_d, 
  chNull
};

static const XMLCh sRead[] =
{
  chLatin_R, 
  chLatin_e, 
  chLatin_a, 
  chLatin_d, 
  chNull
};

static const XMLCh sSeqname[] =
{
  chLatin_S, 
  chLatin_e, 
  chLatin_q, 
  chLatin_n, 
  chLatin_a,
  chLatin_m, 
  chLatin_e, 
  chNull
};

static const XMLCh sDir[] =
{
  chLatin_D, 
  chLatin_i, 
  chLatin_r, 
  chNull
};

static const XMLCh sChem[] =
{
  chLatin_C, 
  chLatin_h, 
  chLatin_e, 
  chLatin_m, 
  chNull
};

static const XMLCh sClr[] =
{
  chLatin_C, 
  chLatin_l, 
  chLatin_r, 
  chNull
};

static const XMLCh sLeft[] =
{
  chLatin_L, 
  chLatin_e, 
  chLatin_f, 
  chLatin_t, 
  chNull
};

static const XMLCh sRight[] =
{
  chLatin_R, 
  chLatin_i, 
  chLatin_g, 
  chLatin_h, 
  chLatin_t, 
  chNull
};

static const XMLCh sSliceRange[] =
{
  chLatin_S, 
  chLatin_l, 
  chLatin_i, 
  chLatin_c, 
  chLatin_e, 
  chLatin_R, 
  chLatin_a, 
  chLatin_n, 
  chLatin_g, 
  chLatin_e, 
  chNull
};

static const XMLCh sSlice[] =
{
  chLatin_S, 
  chLatin_l, 
  chLatin_i, 
  chLatin_c, 
  chLatin_e, 
  chNull
};

static const XMLCh sIndex[] =
{
  chLatin_I, 
  chLatin_n, 
  chLatin_d, 
  chLatin_e, 
  chLatin_x, 
  chNull
};

static const XMLCh sGindex[] =
{
  chLatin_G, 
  chLatin_i, 
  chLatin_n, 
  chLatin_d, 
  chLatin_e, 
  chLatin_x, 
  chNull
};

static const XMLCh sExisting[] =
{
  chLatin_E, 
  chLatin_x, 
  chLatin_i, 
  chLatin_s, 
  chLatin_t, 
  chLatin_i, 
  chLatin_n, 
  chLatin_g, 
  chNull
};

static const XMLCh sNuc[] =
{
  chLatin_N, 
  chLatin_u, 
  chLatin_c,
  chNull
};

static const XMLCh sQualval[] =
{
  chLatin_Q, 
  chLatin_u, 
  chLatin_a, 
  chLatin_l, 
  chLatin_v, 
  chLatin_a, 
  chLatin_l, 
  chNull
};

static const XMLCh sReadID[] =
{
  chLatin_R, 
  chLatin_e, 
  chLatin_a, 
  chLatin_d, 
  chLatin_I, 
  chLatin_D, 
  chNull
};

static const XMLCh sTrimmedSeq[] =
{
  chLatin_T, 
  chLatin_r, 
  chLatin_i, 
  chLatin_m, 
  chLatin_m,
  chLatin_e, 
  chLatin_d, 
  chLatin_S,
  chLatin_e, 
  chLatin_q, 
  chNull
};

static const XMLCh sposition[] =
{
  chLatin_p, 
  chLatin_o, 
  chLatin_s, 
  chLatin_i, 
  chLatin_t,
  chLatin_i, 
  chLatin_o, 
  chLatin_n,
  chNull
};

static const XMLCh sSimpleOption[] =
{
  chLatin_S, 
  chLatin_i, 
  chLatin_m, 
  chLatin_p, 
  chLatin_l,
  chLatin_e, 
  chLatin_O, 
  chLatin_p,
  chLatin_t,
  chLatin_i,
  chLatin_o,
  chLatin_n,
  chNull
};

static const XMLCh sName[] =
{
  chLatin_N, 
  chLatin_a, 
  chLatin_m, 
  chLatin_e, 
  chNull
};

static const XMLCh sValue[] =
{
  chLatin_V, 
  chLatin_a, 
  chLatin_l, 
  chLatin_u, 
  chLatin_e,
  chNull
};

};
